关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题

版本:

关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题_第1张图片

一、版本过低,web.xml报错,报错信息为:

The content of element type "web-app" must match "(icon?,display-name?,description?,distributable?,context-param*,filter*,filter-mapping*,listener*,servlet*,servlet-mapping*,session-config?,mime-mapping*,welcome-file-list?,error-page*,taglib*,resource-env-ref*,resource-ref*,security-constraint*,login-config?,security-role*,env-entry*,ejb-ref*,ejb-local-ref*)

用的是maven创建的的javaweb项目,其web.xml版本默认是Servlet2.3模板。

二、解决办法:更换web.xml版本

操作之前将web.xml文件中的配置复制粘贴出来

关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题_第2张图片

关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题_第3张图片

Apply-OK后可以看到项目中的web.xml文件没了

重新添加web.xml文件:

关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题_第4张图片

关于idea-web.xml版本过低怎么生成新的(web.xml报错)问题_第5张图片

将操作之前粘贴出来的配置,放进新的web.xml文件中即可,不再报错

到此这篇关于idea-web.xml版本过低怎么生成新的(web.xml报错)的文章就介绍到这了,更多相关idea-web.xml版本低内容请搜索脚本之家以前的文章或继续浏览下面的相关文章希望大家以后多多支持脚本之家!

你可能感兴趣的